Skip to Content
inclamoDocs

List Agents in Account

GET
/api/v1/accounts/{account_id}/agents

Get Details of Agents in an Account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Response Body

Success

application/json
  1. response

Array of all active agents

[index: integer]?
Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/agents'
Example Response
[  {    "id": 0,    "account_id": 0,    "availability_status": "online",    "auto_offline": true,    "confirmed": true,    "email": "string",    "available_name": "string",    "name": "string",    "role": "agent",    "thumbnail": "string",    "custom_role_id": 0  }]